#!/usr/bin/env python3

from flask import Flask, request
from functools import cache
from subprocess import check_output
import json

app = Flask(__name__)

@app.route('/', methods = ['GET'])
def build():
    strategy = request.args['strategy']
    hook_data = request.get_json()
    print(hook_data)
    return check_output([f'/opt/build-server/strategies/{strategy}', json.dumps(hook_data)])
    

if __name__ =='__main__':
    app.run(host='0.0.0.0')
